Bug 228999 - CVE-2006-0903 Multiple minor MySQL issues (CVE-2006-3081 CVE-2006-4031 CVE-2006-4226 CVE-2006-4227)
CVE-2006-0903 Multiple minor MySQL issues (CVE-2006-3081 CVE-2006-4031 CVE-20...
Status: CLOSED ERRATA
Product: Red Hat Web Application Stack
Classification: Retired
Component: mysql (Show other bugs)
v1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
Greg Nichols
impact=low
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-16 08:22 EST by Mark J. Cox (Product Security)
Modified: 2013-07-02 23:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2007-0083
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-19 14:51:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2007-02-16 08:22:27 EST
There are a number of low severity MySQL security updates made in newer upstream
versions of MySQL.  These affected v1 of Red Hat Application Stack but were
fixed by v1.1 as it moved to a newer upstream version.  All require an attacker
to have authenticated access to the database:

CVE-2006-4226 VULNERABLE (mysql, fixed 5.0.25, 5.1.12)

MySQL allows remote authenticated users to create or access a database when the
database name differs only in case from a database for which they have permissions.

CVE-2006-4227 VULNERABLE (mysql, fixed 5.0.25, 5.1.12)

MySQL evaluates arguments of suid routines in the security context of the
routine's definer instead of the routine's caller, which allows remote
authenticated users to gain privileges through a routine that has been made
available using GRANT EXECUTE.

CVE-2006-4031 VULNERABLE (mysql, fixed 5.0.24)

MySQL allows a local user to access a table through a previously created MERGE
table, even after the user's privileges are revoked for the original table,
which might violate intended security policy.

CVE-2006-3081 VULNERABLE (mysql, fixed 5.0.19)

mysqld in MySQL allows remote authenticated users to cause a denial of service
(crash) via a NULL second argument to the str_to_date function.

CVE-2006-0903 VULNERABLE (mysql, fixed 5.0.21)

MySQL allows local authenticated users to bypass logging mechanisms via SQL
queries that contain the NULL character, which are not properly handled by the
mysql_real_query function.
Comment 2 Red Hat Bugzilla 2007-02-19 14:51:40 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0083.html

Note You need to log in before you can comment on or make changes to this bug.